function matches = run_cpd(M, N, C_init, max_iters, options)

if nargin<5
    options=struct;
end

options.corresp = 1;
options.max_it = max_iters;
options.partial = false;
options.tol = 1e-5;
options.sigma2 = 0;

if nargin<5
    options.outliers = 0.1;
    options.beta = 2;   % width of Gaussian (band of low-pass)
    options.lambda = 3; % regularization weight
end

N_pts = N.evecs;
M_pts = M.evecs*C_init';

[~, matches_ml, matches] = cpd_register(N_pts, M_pts, options);

end
